# Set your time zone

We'll teach you how to personalize your request. The first thing on the to-do list is to display different time zones.\
\
After all, having the data displayed in your preferred time zone would be pretty convenient, right?

### Setting your time zone

All of our dates and times are displayed in UTC by default. However, most applications indicate the times in their relevant time zones, such as CEST and PST.&#x20;

You wouldn’t want to frustrate your clients by sending them the times of matches in the central European time zone when they live in Australia, now would you?

That’s why we’ve made it easy for you to get all the dates and times in whatever time zone you prefer.&#x20;

*“How do I do that?“*&#x20;

Easy! Simply override the default time zone (UTC) with the parameter called: `tz`.

In this tutorial, we’ll be adding the ‘`tz`’ parameter to a request with the [**livescores endpoint**](https://football-postman.sportmonks.com/#462efa38-0bb4-40b4-8f28-1bffe9228400)**.** This will result in the following URL:

{% tabs %}
{% tab title="Request" %}

```javascript
https://soccer.sportmonks.com/api/v2.0/livescores/now?api_token={API_TOKEN}&tz=Asia/Singapore
```

{% endtab %}
{% endtabs %}

And just like that, we've successfully requested the data to be returned in the Asian/Singaporean time zone instead of the default UTC. \
\
There are a lot more time zones available. You can find a list of valid time zones on [**Wikipedia**](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones)**.**&#x20;

When you’ve parsed an invalid time zone, you’ll get the error code `400`. For an overview of all error codes see our [**response code page**](/v2/api-references/response-codes.md)**.**

Now that you’ve successfully changed the time zone to your desired one, we can move on to explore the next part of our tutorial series, which is about pagination. <br>

{% hint style="info" %}
Note that changing the timezone currently does not change the results queried from the databases. It only changes the time attributes.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/tutorials/the-basics/time-zone.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
